package com.gic.haoban.manage.web.controller.video;

import com.gic.api.base.commons.Page;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.web.qo.video.DeleteVideoQo;
import com.gic.haoban.manage.web.qo.video.VideoGroupQo;
import com.gic.haoban.manage.web.qo.video.VideoListQo;
import com.gic.haoban.manage.web.vo.video.CloudVideoGroupVo;
import com.gic.haoban.manage.web.vo.video.CloudVideoInfoVo;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 好办-视频号-视频空间分组
 * @Author MUSI
 * @Date 2023/10/30 9:08 AM
 * @Description
 * @Version
 **/
@RestController
@RequestMapping(path = "/cloud/video")
public class CloudVideoController {


    /**
     * 视频空间-分组列表
     * @param videoGroupQo
     * @return
     */
    @RequestMapping(path = "/group/list")
    public RestResponse<List<CloudVideoGroupVo>> queryVideoGroupList(VideoGroupQo videoGroupQo) {
        return RestResponse.successResult();
    }

    /**
     * 视频列表(剪辑记录列表)
     * @param videoListQo
     * @return
     */
    @RequestMapping(path = "/list")
    public RestResponse<Page<CloudVideoInfoVo>> queryVideoList(VideoListQo videoListQo) {
        return RestResponse.successResult();
    }

    /**
     * 删除视频 （删除剪辑记录）
     * @param deleteVideoQo
     * @return
     */
    @RequestMapping(path = "/delete")
    public RestResponse<?> deleteVideoInfo(DeleteVideoQo deleteVideoQo) {
        return RestResponse.successResult();
    }
}
